clang 10.0.0git

Functions
ARM.cpp File Reference
`#include "ARM.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Support/TargetParser.h"`
`#include "llvm/Support/Host.h"`
Include dependency graph for ARM.cpp:

Go to the source code of this file.

## Functions
static void | getARMHWDivFeatures (const Driver &D, const Arg *A, const ArgList &Args, StringRef HWDiv, std::vector< StringRef > &Features)
static unsigned | getARMFPUFeatures (const Driver &D, const Arg *A, const ArgList &Args, StringRef FPU, std::vector< StringRef > &Features)
static bool | DecodeARMFeatures (const Driver &D, StringRef text, StringRef CPU, llvm::ARM::ArchKind ArchKind, std::vector< StringRef > &Features)
static void | DecodeARMFeaturesFromCPU (const Driver &D, StringRef CPU, std::vector< StringRef > &Features)
static void | checkARMArchName (const Driver &D, const Arg *A, const ArgList &Args, llvm::StringRef ArchName, llvm::StringRef CPUName, std::vector< StringRef > &Features, const llvm::Triple &Triple)
static void | checkARMCPUName (const Driver &D, const Arg *A, const ArgList &Args, llvm::StringRef CPUName, llvm::StringRef ArchName, std::vector< StringRef > &Features, const llvm::Triple &Triple)

## Function Documentation

## ◆ checkARMArchName()

static void checkARMArchName | ( | const Driver & | D,
|  | const Arg * | A,
|  | const ArgList & | Args,
|  | llvm::StringRef | ArchName,
|  | llvm::StringRef | CPUName,
|  | std::vector< StringRef > & | Features,
|  | const llvm::Triple & | Triple
| ) |  |
| static

Definition at line 102 of file ARM.cpp.

References DecodeARMFeatures(), clang::driver::Driver::Diag(), clang::driver::tools::arm::getARMArch(), and Split.

Referenced by clang::driver::tools::arm::useAAPCSForMachO().

## ◆ checkARMCPUName()

static void checkARMCPUName | ( | const Driver & | D,
|  | const Arg * | A,
|  | const ArgList & | Args,
|  | llvm::StringRef | CPUName,
|  | llvm::StringRef | ArchName,
|  | std::vector< StringRef > & | Features,
|  | const llvm::Triple & | Triple
| ) |  |
| static

Definition at line 117 of file ARM.cpp.

References DecodeARMFeatures(), clang::driver::Driver::Diag(), clang::driver::tools::arm::getARMTargetCPU(), clang::driver::tools::arm::getLLVMArchKindForARM(), and Split.

Referenced by clang::driver::tools::arm::useAAPCSForMachO().

## ◆ DecodeARMFeatures()

static bool DecodeARMFeatures | ( | const Driver & | D,
|  | StringRef | text,
|  | StringRef | CPU,
|  | llvm::ARM::ArchKind | ArchKind,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 76 of file ARM.cpp.

References Split.

Referenced by checkARMArchName(), and checkARMCPUName().

## ◆ DecodeARMFeaturesFromCPU()

static void DecodeARMFeaturesFromCPU | ( | const Driver & | D,
|  | StringRef | CPU,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 89 of file ARM.cpp.

References getExtensionFeatures().

Referenced by clang::driver::tools::arm::useAAPCSForMachO().

## ◆ getARMFPUFeatures()

static unsigned getARMFPUFeatures | ( | const Driver & | D,
|  | const Arg * | A,
|  | const ArgList & | Args,
|  | StringRef | FPU,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 66 of file ARM.cpp.

References clang::driver::Driver::Diag().

Referenced by clang::driver::tools::arm::useAAPCSForMachO().

## ◆ getARMHWDivFeatures()

static void getARMHWDivFeatures | ( | const Driver & | D,
|  | const Arg * | A,
|  | const ArgList & | Args,
|  | StringRef | HWDiv,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 57 of file ARM.cpp.

References clang::driver::Driver::Diag().

Referenced by clang::driver::tools::arm::useAAPCSForMachO().